Bug 10804 - Dont use evms
: Dont use evms
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-install3)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
: https://bugzilla.altlinux.org/show_bu...
:
:
: 11282 11323
  Show dependency tree
 
Reported: 2007-02-08 18:40 by
Modified: 2008-01-26 02:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-08 18:40:33
Пакет lvm2 должен быть установлен в систему, иначе LVM разделы не поднимутся.
------- Comment #1 From 2007-02-10 17:33:02 -------
Собсно, установкой занимается alterator-install2...
------- Comment #2 From 2007-02-10 17:33:38 -------
На владельца.
------- Comment #3 From 2007-02-21 12:42:13 -------
В новую систему теперь устанавливается evms, который умеет собирать lvm.
------- Comment #4 From 2007-04-02 15:54:22 -------
evms _в системе_ не нужен.  Нужен mdadm и lvm2.  См. такж. bug 11282
------- Comment #5 From 2007-04-02 16:14:52 -------
(In reply to comment #4)
> evms _в системе_ не нужен.  Нужен mdadm и lvm2.  См. такж. bug 11282

Ничего не могу поделать. evms нужен инсталятору, а lvm2 конфликтует с evms.
Зависимости штука упрямая.
------- Comment #6 From 2007-04-02 17:23:18 -------
Какая связь между пакетами stage2 и проиндексированнными пакетами на диске?
------- Comment #7 From 2007-04-02 17:37:44 -------
(In reply to comment #6)
> Какая связь между пакетами stage2 и проиндексированнными пакетами на диске?

шаги после /basesystem запускаются внутри новой системы.
------- Comment #8 From 2007-04-02 17:46:30 -------
(In reply to comment #7)
> шаги после /basesystem запускаются внутри новой системы.

И этим шагам evms не нужен.

По видимому в alterator-install3 надо оторвать evms и сделать lvm2. 
Функциональность самого инсталллера пострадать не должна...
------- Comment #9 From 2007-04-02 17:59:07 -------
(In reply to comment #8)
> И этим шагам evms не нужен.

Ты конечно извини, но мне лучше знать нужен он там или нет. В такой постановке
вопроса это WONTFIX.

Resolve bug => WONTFIX
------- Comment #10 From 2007-04-02 18:16:51 -------
2 raorn: ты б ещё через недельку спохватился менять разбиватор...
------- Comment #11 From 2007-04-02 18:28:45 -------
(In reply to comment #10)
> 2 raorn: ты б ещё через недельку спохватился менять разбиватор...

Миш, баг уже два месяца висит.  Не драматизируй.
------- Comment #12 From 2007-04-03 12:20:45 -------
Тут можно пойти другим путём

Status => Reopen
------- Comment #13 From 2007-04-03 12:24:06 -------
Ждать пока этот конфликт будет устранён у меня нет времени. Я переделал модуль
так чтобы он использовал fdisk вместо evms. Теперь у alterator-install3 нет
зависимомти на evms и в basesystem можно ставить lvm2 или что душе угодно.

Но это уже нужно исправлять в spt-profiles-server.

http://git.altlinux.org/people/legion/packages/?p=alterator-install2.git;a=commit;h=2f5c84f306a8fea4d59c07ca5959432d998baa3a